Bug 547 - RFE: Disable FONTCACHE extension in the Xorg default build
Summary: RFE: Disable FONTCACHE extension in the Xorg default build
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: * Other (show other bugs)
Version: unspecified
Hardware: All All
: high normal
Assignee: Roland Mainz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 556
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-25 04:22 UTC by Roland Mainz
Modified: 2011-10-15 15:49 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for 2004-04-25-trunk (1.11 KB, patch)
2004-04-26 09:05 UTC, Roland Mainz
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Mainz 2004-04-25 04:22:40 UTC
RFE: Disable FONTCACHE extension in the Xorg default build.

Xfree86 did the same long ago and AFAIK the extension isn't used anymore.
Comment 1 Roland Mainz 2004-04-26 09:05:19 UTC
Created attachment 242 [details] [review]
Patch for 2004-04-25-trunk
Comment 2 Roland Mainz 2004-04-26 09:07:11 UTC
Patch checked-in...

Checking in ChangeLog;
/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.6; previous revision: 1.5
done
Checking in config/cf/X11.tmpl;
/cvs/xorg/xc/config/cf/X11.tmpl,v  <--  X11.tmpl
new revision: 1.5; previous revision: 1.4
done
Mailing the commit message to xorg-commit@pdx.freedesktop.org...

... marking bug as FIXED.
Comment 3 Alan Coopersmith 2004-04-26 11:13:15 UTC
With this change checked in xc/lib/font/X-TrueType no longer builds:

making all in lib/font/X-TrueType/module...
rm -f xttfuncs.o
cc -xO4 -xbuiltin -xlibmil -xpentium -Xa -v  -Kpic   -I..
-I../../../../include/fonts -I../../include -I../../fontcache 
-I../../../../exports/include/X11 -I../../../../programs/Xserver/include 
-I../../../../extras/FreeType/lib -I../../../../extras/FreeType/lib/extend 
-I../../../../extras/FreeType/lib/arch/unix -I../../../../lib/font/FreeType 
-I../../../.. -I../../../../exports/include   -Dsun -Di386 -DSVR4
-D__EXTENSIONS__ -D__i386 -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP -DXCSECURITY
-DTOGCUP  -DXF86BIGFONT -DDPMSExtension  -DPIXPRIV -DPANORAMIX  -DRENDER -DRANDR
-DXFIXES -DDAMAGE -DINCLUDE_ALLOCA_H -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH
-DXFreeXDGA -DXvExtension -DXFree86LOADER -DDLOPEN_HACK -DXFree86Server
-DXF86VIDMODE -DXvMCExtension -DSMART_SCHEDULE -DBUILDDEBUG -DXResExtension
-DX_BYTE_ORDER=X_LITTLE_ENDIAN -DXORG_VERSION_CURRENT="(((6) * 10000000) + ((7)
* 100000) + ((0) * 1000) + 0)"
../../../../programs/Xserver/hw/xfree86/os-support/sunos/ia32.il -D__SOL8__
-DNDEBUG     -DIN_MODULE -DXFree86Module -DTT_MAKE_OPTION_SINGLE_OBJECT=1
-DTT_CONFIG_OPTION_EXTEND_ENGINE  -DFONTMODULE   -DCCONV_MODULE
-DCCONV_MODULE_DIR=\"/usr/X11R6/lib/modules/codeconv\"  -DOPT_ENCODINGS 
-DXVENDORNAME='"The X.Org Foundation"' -DXVENDORNAMESHORT='"X.Org"'  -c xttfuncs.c
"../../fontcache/fontcache.h", line 38: cannot find include file:
<X11/extensions/fontcacheP.h>
cc: acomp failed for xttfuncs.c
*** Error code 2

Should X-TT be modified to not require it or should it simply be disabled
whenever BuildFontCache is set to NO?
Comment 4 Roland Mainz 2004-04-26 11:19:21 UTC
Alan Coopersmith wrote:
> With this change checked in xc/lib/font/X-TrueType no longer builds:

Ouch.
Reopening...

[snip]
> Should X-TT be modified to not require it or should it simply be disabled
> whenever BuildFontCache is set to NO?

Good question... I've CC:'ed Chisato... he knows that stuff better than I do.
I guess it would be sufficient to enable the FONTCACHE extension on the Xserver
side when X-TT is being build.

How did Xfree86 deal with the problem ?
Comment 5 Chisato Yamauchi 2004-04-26 15:31:40 UTC
First, please apply xtt2-1.2a patch: 
http://x-tt.sourceforge.jp/arch/X11R6.7.0-libfreetype-xtt2-1.2a.patch 
(and update freetype2 library to 2.1.8). 
 
If they are done, the X-TrueType and FONTCACHE extension can be removed 
after May 1st 2004.  The X-TrueType is now under the farewell announcement... 
http://x-tt.sourceforge.jp/ 
 
I'll also permit XFree86 people to remove them after May 1st 2004. 
The XFree86's tree already has xtt2-1.2a. 
Comment 6 Roland Mainz 2004-05-05 04:54:30 UTC
Chisato Yamauchi wrote:
> If they are done, the X-TrueType and FONTCACHE extension can be removed 
> after May 1st 2004.  The X-TrueType is now under the farewell announcement... 
> http://x-tt.sourceforge.jp/ 

OK, I filed bug 595 ("RFE: Retire XTT font module from xorg tree") for that...

... I'll mark this bug as FIXED then again.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.